64 bit runtime error

Mar 29, 2011 at 10:31 AM
Edited Mar 29, 2011 at 10:31 AM

Hi

I am getting an error when running packages containing this component under 64bit runtime.

I think it is worth making clear that the component needs to be used in a 32bit environment if this is by design or if this is an error the messages I get are below:

 

Project settings: Run64BitRuntime = True

[SSIS.Pipeline] Error: The component metadata for "component "GoogleAnalyticsSource 1 1" (3604)" could not be upgraded to the newer version of the component. The PerformUpgrade method failed.

[GoogleAnalyticsSource 1 1 [3604]] Error: The component is missing, not registered, not upgradeable, or missing required interfaces. The contact information for this component is "".
[SSIS.Pipeline] Error: component "GoogleAnalyticsSource 1 1" (3604) failed validation and returned error code 0xC0048021.
[SSIS.Pipeline] Error: One or more component failed validation.

Fixed using Run64BitRuntime = False

Regards

Calvin

Coordinator
Apr 1, 2011 at 5:50 PM

Hi,

yes, that's a bug, I hope I can fix it with the next release.

I've updated the project page with information about the 32-bit mode.
Cheers,
Tillmann

 

Coordinator
Apr 1, 2011 at 5:50 PM
This discussion has been copied to a work item. Click here to go to the work item and continue the discussion.
Coordinator
Apr 1, 2011 at 5:50 PM
This discussion has been copied to a work item. Click here to go to the work item and continue the discussion.